foss 2021a

There is a newer version of foss

GNU Compiler Collection (GCC) based compiler toolchain, including OpenMPI for MPI support, OpenBLAS (BLAS and LAPACK support), FFTW and ScaLAPACK.

Accessing foss 2021a

To load the module for foss 2021a please use this command on Baskerville:

module load bask-apps/live
module load foss/2021a

Bask Apps Env

live

More Information

For more information visit the foss website.

Dependencies

This version of foss has a direct dependency on: FFTW/3.3.9-gompi-2021a FlexiBLAS/3.0.4-GCC-10.3.0 GCC/10.3.0 OpenMPI/4.1.1-GCC-10.3.0 ScaLAPACK/2.1.0-gompi-2021a-fb

Required By

This version of foss is a direct dependent of: AlphaFold/2.2.2-foss-2021a-CUDA-11.3.1 Arm-Forge/22.0.3-foss-2021a ASE/3.22.0-foss-2021a Biopython/1.79-foss-2021a bokeh/2.4.1-foss-2021a CuPy/9.3.0-foss-2021a-CUDA-11.2.1 CuPy/9.3.0-foss-2021a-CUDA-11.3.1 dask/2021.9.1-foss-2021a ELPA/2021.05.001-foss-2021a FBPIC/0.20.3-foss-2021a-CUDA-11.2.1 FBPIC/0.20.3-foss-2021a-CUDA-11.3.1 h5py/3.2.1-foss-2021a jax/0.3.9-foss-2021a-CUDA-11.3.1 magma/2.6.1-foss-2021a-CUDA-11.3.1 matplotlib/3.4.2-foss-2021a networkx/2.5.1-foss-2021a numba/0.53.1-foss-2021a occt/7.5.0p1-foss-2021a pyFFTW/0.12.0-foss-2021a PyTorch/1.10.0-foss-2021a-CUDA-11.3.1 PyTorch-Geometric/2.0.4-foss-2021a-CUDA-11.3.1 PyTorch-Lightning/1.5.9-foss-2021a-CUDA-11.3.1 scikit-image/0.18.3-foss-2021a scikit-learn/0.24.2-foss-2021a SciPy-bundle/2021.05-foss-2021a Siesta/4.1.5-foss-2021a spglib-python/1.16.1-foss-2021a SuiteSparse/5.10.1-foss-2021a-METIS-5.1.0 SUNDIALS/5.8.0-foss-2021a tensorboard/2.8.0-foss-2021a TensorFlow/2.6.0-foss-2021a-CUDA-11.3.1 Trilinos/13.2.0-foss-2021a

Other Versions

These versions of foss are available on Baskerville. These will be retained in accordance with our Applications Support and Retention Policy.

Version Bask Apps Env
2021.04 test

Last modified on 20th August 2021